﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GatewayTool
{
    public enum Language
    {
        SIMPLIFIED_CHINESE = 0,
        ENGLISH = 1,
    }

    public class StringMsg
    {
        private int i = 0;

        #region Item Definitions
        public string SoftwareName;
        public string SoftwareCopyright;
        public string SoftwareProfile;

        public string MessageBoxButtonYes;
        public string MessageBoxButtonNo;
        public string MessageBoxButtonOK;
        public string MessageBoxButtonCancel;

        public string DialogSaveAs;
        public string DialogOpen;

        public string CollectionEditorTitle;
        public string CollectionEditorMember;
        public string CollectionEditorAdd;
        public string CollectionEditorCopy;
        public string CollectionEditorRemove;
        public string CollectionEditorProperty;
        public string CollectionEditorOK;
        public string CollectionEditorCancel;

        public string MenuSelectAll;
        public string MenuCopy;
        public string MenuClear;

        public string Prompt;
        public string Attention;
        public string Error;

        public string System;
        public string Language;
        public string Settings;

        public string Tool;
        public string ParityCalculator;
        public string Domain;
        public string JsonFileViewer;

        public string View;
        public string Log;
        public string Nail;

        public string Help;
        public string Usage;
        public string About;

        public string StartService;
        public string StopService;
        public string RefreshList;
        public string BrowseLog;

        public string DeviceList;
        public string ID;
        public string SN;
        public string Source;
        public string FirmwareVersion;

        public string SystemState;
        public string DeviceImage;
        public string StateInfo;
        public string Refresh;

        public string DeviceConfig;
        public string Export;
        public string Import;
        public string Read;
        public string Write;

        public string ExportSuccess;
        public string ExportFail;
        public string ImportSuccess;
        public string ImportFail;
        public string ParseFail;

        public string DeviceManage;
        public string UpgradeFirmware;
        public string ChooseFile;
        public string UpgradeProgress;
        public string Upgrade;
        public string RestartDevice;
        public string Restart;
        public string ModifyPassword;
        public string NewPassword;
        public string ConfirmNewPassword;
        public string Modify;

        public string Net;
        public string ServicePort;
        public string ShowMaxLine;
        public string FolderPath;
        public string DeviceSniff;
        public string RemotePort;
        public string Baudrate;
        public string Databits;
        public string Stopbits;
        public string Parity;
        public string SaveConfigOK;
        public string SaveConfigFail;
        public string DefaultValue;

        #endregion

        public StringMsg(Language l)
        {
            i = (int)l;

            SoftwareName = new string[] { "物联网网关工具", "Gateway Tool" }[i];
            SoftwareCopyright = new string[] { "传秀科技 版权所有©2023", "Copyright © 2023 ChuanXiu" }[i];
            SoftwareProfile = new string[] { "本软件可对连接的自研物联网网关设备进行参数设置并显示数据收发结果，操作简便直观，欢迎使用！"
                                           , "This software can set parameters of the connected self-developed IoT gateway equipment and display data transmission and receiving results. It is easy to operate and intuitive. Welcome to use!" }[i];

            MessageBoxButtonYes = new string[] { "是", "Yes" }[i];
            MessageBoxButtonNo = new string[] { "否", "No" }[i];
            MessageBoxButtonOK = new string[] { "确定", "OK" }[i];
            MessageBoxButtonCancel = new string[] { "取消", "Cancel" }[i];

            DialogSaveAs = new string[] { "另存为", "Save as" }[i];
            DialogOpen = new string[] { "打开", "Open" }[i];

            CollectionEditorTitle = new string[] { "集合编辑器", "Collection Editor" }[i];
            CollectionEditorMember = new string[] { "成员(&M):", "Members(&M):" }[i];
            CollectionEditorAdd = new string[] { "添加(&A)", "Add(&A)" }[i];
            CollectionEditorCopy = new string[] { "复制(&C)", "Copy(&C)" }[i];
            CollectionEditorRemove = new string[] { "移除(&R)", "Remove(&R)" }[i];
            CollectionEditorProperty = new string[] { "属性(&P):", "Properties(&P):" }[i];
            CollectionEditorOK = new string[] { "确定", "OK" }[i];
            CollectionEditorCancel = new string[] { "取消", "Cancel" }[i];

            MenuSelectAll = new string[] { "全选", "Select all" }[i];
            MenuCopy = new string[] { "复制", "Copy" }[i];
            MenuClear = new string[] { "清空", "Clear" }[i];

            Prompt = new string[] { "提示", "Prompt" }[i];
            Attention = new string[] { "注意", "Attention" }[i];
            Error = new string[] { "错误", "Error" }[i];

            System = new string[] { "系统(&S)", "&System" }[i];
            Language = new string[] { "语言", "Language" }[i];
            Settings = new string[] { "设置", "Settings" }[i];

            Tool = new string[] { "工具(&T)", "&Tool" }[i];
            ParityCalculator = new string[] { "校验计算器", "Parity calculator" }[i];
            Domain = new string[] { "域名", "Domain" }[i];
            JsonFileViewer = new string[] { "Json文件查看器", "Json file viewer" }[i];

            View = new string[] { "视图(&V)", "&View" }[i];
            Log = new string[] { "日志", "Log" }[i];
            Nail = new string[] { "钉在最前", "Nail to the front" }[i];

            Help = new string[] { "帮助(&H)", "&Help" }[i];
            Usage = new string[] { "使用帮助", "Usage" }[i];
            About = new string[] { "关于", "About" }[i];

            StartService = new string[] { "启动服务", "Start service" }[i];
            StopService = new string[] { "停止服务", "Stop service" }[i];
            RefreshList = new string[] { "刷新列表", "Refresh list" }[i];
            BrowseLog = new string[] { "浏览日志", "Browse log" }[i];

            DeviceList = new string[] { "设备列表", "Device List" }[i];
            ID = new string[] { "序号", "ID" }[i];
            SN = new string[] { "设备编号", "SN" }[i];
            Source = new string[] { "数据来源", "Data source" }[i];
            FirmwareVersion = new string[] { "固件版本", "Firmware version" }[i];

            SystemState = new string[] { "系统状态", "System state" }[i];
            DeviceImage = new string[] { "设备图片", "Device image" }[i];
            StateInfo = new string[] { "状态信息", "State information" }[i];
            Refresh = new string[] { "刷新", "Refresh" }[i];

            DeviceConfig = new string[] { "设备配置", "Device configuration" }[i];
            Export = new string[] { "导出", "Export" }[i];
            Import = new string[] { "导入", "Import" }[i];
            Read = new string[] { "读取", "Read" }[i];
            Write = new string[] { "写入", "Write" }[i];

            ExportSuccess = new string[] { "导出成功！", "Export successfully!" }[i];
            ExportFail = new string[] { "导出失败！", "Fail to export!" }[i];
            ImportSuccess = new string[] { "导入成功！", "Import successfully!" }[i];
            ImportFail = new string[] { "导入失败！", "Fail to import!" }[i];
            ParseFail = new string[] { "解析失败！", "Fail to parse!" }[i];

            DeviceManage = new string[] { "设备管理", "Device management" }[i];
            UpgradeFirmware = new string[] { "更新固件", "Upgrade firmware" }[i];
            ChooseFile = new string[] { "选择文件", "Choose file" }[i];
            UpgradeProgress = new string[] { "更新进度", "Progress" }[i];
            Upgrade = new string[] { "更新", "Upgrade" }[i];
            RestartDevice = new string[] { "重启设备", "Restart device" }[i];
            Restart = new string[] { "重启", "Restart" }[i];
            ModifyPassword = new string[] { "修改密码", "Modify password" }[i];
            NewPassword = new string[] { "新密码", "New password" }[i];
            ConfirmNewPassword = new string[] { "确认新密码", "Confirm new password" }[i];
            Modify = new string[] { "修改", "Modify" }[i];

            Net = new string[] { "网络", "Net" }[i];
            ServicePort = new string[] { "服务端口", "Service port" }[i];
            ShowMaxLine = new string[] { "最大显示行数", "Max lines" }[i];
            FolderPath = new string[] { "文件夹路径", "Folder path" }[i];
            DeviceSniff = new string[] { "设备嗅探", "Device sniffing" }[i];
            RemotePort = new string[] { "远程端口", "Remote port" }[i];
            Baudrate = new string[] { "波特率", "Baudrate" }[i];
            Databits = new string[] { "数据位", "Databits" }[i];
            Stopbits = new string[] { "停止位", "Stopbits" }[i];
            Parity = new string[] { "校验位", "Parity" }[i];
            SaveConfigOK = new string[] { "配置保存成功！", "Save configurations OK!" }[i];
            SaveConfigFail = new string[] { "配置保存失败！", "Failed to save configurations!" }[i];
            DefaultValue = new string[] { "默认值", "Default" }[i];

        }
    }
}